<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/ActionsStack.cpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('ActionsStack_8cpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">ActionsStack.cpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*************************************************************</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">project: &lt;Accessories&gt;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">author: &lt;Thierry PARIS&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">description: &lt;Class for a actions stack&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">*************************************************************/</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;ActionsStack.hpp&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="classAction.html#ab3dc4941c77b71ba1425d852185b1f24">    9</a></span>&#160;<a class="code" href="classAction.html#ab3dc4941c77b71ba1425d852185b1f24">Action::Action</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, ACCESSORIES_EVENT_TYPE inEvent, <span class="keywordtype">int</span> inData)</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;{</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;    this-&gt;<a class="code" href="classAction.html#a0eb90dc3ae0778c2ed16b8d6c7e5efa3">Id</a> = inId;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    this-&gt;<a class="code" href="classAction.html#a1de2f13560626eab35087eb3aa67be11">Event</a> = inEvent;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    this-&gt;<a class="code" href="classAction.html#a859b26dbab009b77f3d8c7902fd2d89b">Data</a> = inData;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;}</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<a class="code" href="classActionsStack.html">ActionsStack</a> <a class="code" href="classActionsStack.html#a458994617bfbd0f8aee0fb93abcdb347">ActionsStack::Actions</a>(<a class="code" href="Accessories_8h.html#a86cfc9976a2d87ddad58b877ccd66073">ACTION_STACK_SIZE</a>);</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classActionsStack.html#aef1d9742f23cad44c4e85e0cfdf942e9">ActionsStack::FillingStack</a>(<span class="keyword">false</span>);</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="classActionsStack.html#ace063540984142614a5e6db58a3d9edd">   19</a></span>&#160;<a class="code" href="classActionsStack.html#ace063540984142614a5e6db58a3d9edd">ActionsStack::ActionsStack</a>(<span class="keywordtype">int</span> inSize)</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;{</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    this-&gt;size = inSize;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    this-&gt;pList = <span class="keyword">new</span> <a class="code" href="classAction.html">Action</a>*[inSize];</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; this-&gt;size; i++)</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        this-&gt;pList[i] = NULL;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    }</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;}</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">// Returns the index of the new added action.</span></div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classActionsStack.html#a12c3702836732893421ef6a75c504eda">   31</a></span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> <a class="code" href="classActionsStack.html#a12c3702836732893421ef6a75c504eda">ActionsStack::Add</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, ACCESSORIES_EVENT_TYPE inEvent, <span class="keywordtype">int</span> inData)</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;{</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; this-&gt;size; i++)</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    {</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <span class="keywordflow">if</span> (this-&gt;pList[i] == NULL)</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        {</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;            this-&gt;pList[i] = <span class="keyword">new</span> <a class="code" href="classAction.html">Action</a>(inId, inEvent, inData);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;            <span class="keywordflow">return</span> i;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        }</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    }</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keywordflow">return</span> this-&gt;size + 1;  <span class="comment">// action lost, the stack is full !</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;}</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classActionsStack.html#ae5e923c8c890313fe9fe67fae9497562">   45</a></span>&#160;<a class="code" href="classAction.html">Action</a> *<a class="code" href="classActionsStack.html#ae5e923c8c890313fe9fe67fae9497562">ActionsStack::GetActionToExecute</a>()</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;{</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; this-&gt;size; i++)</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    {</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <span class="keywordflow">if</span> (this-&gt;pList[i] != NULL)</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        {</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;            <a class="code" href="classAction.html">Action</a> *ret = this-&gt;pList[i];</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;            this-&gt;pList[i] = NULL;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;            <span class="keywordflow">return</span> ret;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        }</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    }</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="keywordflow">return</span> NULL;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;}</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="comment">// Returns the index of the new added action.</span></div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classActionsStack.html#a7ab206f5490b5169845ecf5ccef17ca9">   61</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classActionsStack.html#a7ab206f5490b5169845ecf5ccef17ca9">ActionsStack::Delete</a>(<span class="keywordtype">int</span> inIndex)</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;{</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keywordflow">if</span> (this-&gt;pList[inIndex] != NULL)</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    {</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <span class="keyword">delete</span> this-&gt;pList[inIndex];</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        this-&gt;pList[inIndex] = NULL;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    }</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;}</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="comment">// Returns the index of the new added action.</span></div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classActionsStack.html#a7206851ec4f6accf0feafeb60000e2e5">   71</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classActionsStack.html#a7206851ec4f6accf0feafeb60000e2e5">ActionsStack::Clear</a>()</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;{</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; this-&gt;size; i++)</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        this-&gt;<a class="code" href="classActionsStack.html#a7ab206f5490b5169845ecf5ccef17ca9">Delete</a>(i);</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;}</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="comment">// Returns the number of stacked actions.</span></div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="classActionsStack.html#a2ba3fc8906482ba474a1034a81d443c6">   78</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="classActionsStack.html#a2ba3fc8906482ba474a1034a81d443c6">ActionsStack::GetNumber</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="keyword"></span>{</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keywordtype">int</span> count = 0;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; this-&gt;size; i++)</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    {</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        <span class="keywordflow">if</span> (this-&gt;pList[i] != NULL)</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;            count++;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    }</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="keywordflow">return</span> count;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;}</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="classActionsStack.html#a92c898ac34971204c6da70234a9cd568">   91</a></span>&#160;<a class="code" href="classAction.html">Action</a> *<a class="code" href="classActionsStack.html#a92c898ac34971204c6da70234a9cd568">ActionsStack::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> inIndex)</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;{</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keywordflow">return</span> this-&gt;pList[inIndex];</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;}</div><div class="ttc" id="classActionsStack_html_a92c898ac34971204c6da70234a9cd568"><div class="ttname"><a href="classActionsStack.html#a92c898ac34971204c6da70234a9cd568">ActionsStack::operator[]</a></div><div class="ttdeci">Action * operator[](unsigned char idx)</div><div class="ttdef"><b>Definition:</b> <a href="ActionsStack_8cpp_source.html#l00091">ActionsStack.cpp:91</a></div></div>
<div class="ttc" id="classActionsStack_html_a2ba3fc8906482ba474a1034a81d443c6"><div class="ttname"><a href="classActionsStack.html#a2ba3fc8906482ba474a1034a81d443c6">ActionsStack::GetNumber</a></div><div class="ttdeci">int GetNumber() const </div><div class="ttdef"><b>Definition:</b> <a href="ActionsStack_8cpp_source.html#l00078">ActionsStack.cpp:78</a></div></div>
<div class="ttc" id="classActionsStack_html_a7206851ec4f6accf0feafeb60000e2e5"><div class="ttname"><a href="classActionsStack.html#a7206851ec4f6accf0feafeb60000e2e5">ActionsStack::Clear</a></div><div class="ttdeci">void Clear()</div><div class="ttdef"><b>Definition:</b> <a href="ActionsStack_8cpp_source.html#l00071">ActionsStack.cpp:71</a></div></div>
<div class="ttc" id="classActionsStack_html_a7ab206f5490b5169845ecf5ccef17ca9"><div class="ttname"><a href="classActionsStack.html#a7ab206f5490b5169845ecf5ccef17ca9">ActionsStack::Delete</a></div><div class="ttdeci">void Delete(int inIndex)</div><div class="ttdef"><b>Definition:</b> <a href="ActionsStack_8cpp_source.html#l00061">ActionsStack.cpp:61</a></div></div>
<div class="ttc" id="classActionsStack_html_a12c3702836732893421ef6a75c504eda"><div class="ttname"><a href="classActionsStack.html#a12c3702836732893421ef6a75c504eda">ActionsStack::Add</a></div><div class="ttdeci">unsigned char Add(unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent, int inData = 0)</div><div class="ttdef"><b>Definition:</b> <a href="ActionsStack_8cpp_source.html#l00031">ActionsStack.cpp:31</a></div></div>
<div class="ttc" id="classAction_html"><div class="ttname"><a href="classAction.html">Action</a></div><div class="ttdef"><b>Definition:</b> <a href="ActionsStack_8hpp_source.html#l00011">ActionsStack.hpp:11</a></div></div>
<div class="ttc" id="classActionsStack_html_ace063540984142614a5e6db58a3d9edd"><div class="ttname"><a href="classActionsStack.html#ace063540984142614a5e6db58a3d9edd">ActionsStack::ActionsStack</a></div><div class="ttdeci">ActionsStack(int inSize)</div><div class="ttdef"><b>Definition:</b> <a href="ActionsStack_8cpp_source.html#l00019">ActionsStack.cpp:19</a></div></div>
<div class="ttc" id="classActionsStack_html_aef1d9742f23cad44c4e85e0cfdf942e9"><div class="ttname"><a href="classActionsStack.html#aef1d9742f23cad44c4e85e0cfdf942e9">ActionsStack::FillingStack</a></div><div class="ttdeci">static bool FillingStack</div><div class="ttdef"><b>Definition:</b> <a href="ActionsStack_8hpp_source.html#l00071">ActionsStack.hpp:71</a></div></div>
<div class="ttc" id="Accessories_8h_html_a86cfc9976a2d87ddad58b877ccd66073"><div class="ttname"><a href="Accessories_8h.html#a86cfc9976a2d87ddad58b877ccd66073">ACTION_STACK_SIZE</a></div><div class="ttdeci">#define ACTION_STACK_SIZE</div><div class="ttdef"><b>Definition:</b> <a href="Accessories_8h_source.html#l00294">Accessories.h:294</a></div></div>
<div class="ttc" id="classActionsStack_html_a458994617bfbd0f8aee0fb93abcdb347"><div class="ttname"><a href="classActionsStack.html#a458994617bfbd0f8aee0fb93abcdb347">ActionsStack::Actions</a></div><div class="ttdeci">static ActionsStack Actions</div><div class="ttdef"><b>Definition:</b> <a href="ActionsStack_8hpp_source.html#l00069">ActionsStack.hpp:69</a></div></div>
<div class="ttc" id="classActionsStack_html"><div class="ttname"><a href="classActionsStack.html">ActionsStack</a></div><div class="ttdef"><b>Definition:</b> <a href="ActionsStack_8hpp_source.html#l00031">ActionsStack.hpp:31</a></div></div>
<div class="ttc" id="classActionsStack_html_ae5e923c8c890313fe9fe67fae9497562"><div class="ttname"><a href="classActionsStack.html#ae5e923c8c890313fe9fe67fae9497562">ActionsStack::GetActionToExecute</a></div><div class="ttdeci">Action * GetActionToExecute()</div><div class="ttdef"><b>Definition:</b> <a href="ActionsStack_8cpp_source.html#l00045">ActionsStack.cpp:45</a></div></div>
<div class="ttc" id="classAction_html_a859b26dbab009b77f3d8c7902fd2d89b"><div class="ttname"><a href="classAction.html#a859b26dbab009b77f3d8c7902fd2d89b">Action::Data</a></div><div class="ttdeci">int Data</div><div class="ttdef"><b>Definition:</b> <a href="ActionsStack_8hpp_source.html#l00019">ActionsStack.hpp:19</a></div></div>
<div class="ttc" id="classAction_html_a1de2f13560626eab35087eb3aa67be11"><div class="ttname"><a href="classAction.html#a1de2f13560626eab35087eb3aa67be11">Action::Event</a></div><div class="ttdeci">ACCESSORIES_EVENT_TYPE Event</div><div class="ttdef"><b>Definition:</b> <a href="ActionsStack_8hpp_source.html#l00017">ActionsStack.hpp:17</a></div></div>
<div class="ttc" id="classAction_html_a0eb90dc3ae0778c2ed16b8d6c7e5efa3"><div class="ttname"><a href="classAction.html#a0eb90dc3ae0778c2ed16b8d6c7e5efa3">Action::Id</a></div><div class="ttdeci">unsigned long Id</div><div class="ttdef"><b>Definition:</b> <a href="ActionsStack_8hpp_source.html#l00015">ActionsStack.hpp:15</a></div></div>
<div class="ttc" id="classAction_html_ab3dc4941c77b71ba1425d852185b1f24"><div class="ttname"><a href="classAction.html#ab3dc4941c77b71ba1425d852185b1f24">Action::Action</a></div><div class="ttdeci">Action(unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent, int inData = 0)</div><div class="ttdef"><b>Definition:</b> <a href="ActionsStack_8cpp_source.html#l00009">ActionsStack.cpp:9</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>ActionsStack.cpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
